<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://www.springframework.org/schema/beans    
		http://www.springframework.org/schema/beans/spring-beans-2.5.xsd">

	<bean id="queries" class="com.javahonk.util.SQLFactory">
		<constructor-arg>
			<map>
				<entry key="SAMPLE_QUERY1" value="INSERT into TestDataTable values(?,?,?)" />
				<entry key="SAMPLE_QUERY1" value="select * from TestTable where name=? and businessDate=?" />
				
				<!--Procedures -->
				<entry key="SAMPLE_PROC_WITHOUT_PARAMETER" value="GetTestData" />
				<entry key="SAMPLE_PROC_WITH_PARAMETER" value="exec TestEvents ?" />
			</map>
		</constructor-arg>
	</bean>
</beans> 